aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.github/workflows/build.yaml2
-rwxr-xr-xcommon/travis/xlint.sh3
2 files changed, 3 insertions, 2 deletions
diff --git a/.github/workflows/build.yaml b/.github/workflows/build.yaml
index 5ca5de2244d..08445b74217 100644
--- a/.github/workflows/build.yaml
+++ b/.github/workflows/build.yaml
@@ -22,8 +22,6 @@ jobs:
- run: common/travis/fetch-xbps.sh
- run: common/travis/fetch-xtools.sh
- run: common/travis/xlint.sh
- # GitHub Action create a merge commit, ignore it
- - run: common/scripts/lint-commits FETCH_HEAD HEAD^2
# Build changed packages.
build:
diff --git a/common/travis/xlint.sh b/common/travis/xlint.sh
index fc15d20a3fc..6b3d9e91c90 100755
--- a/common/travis/xlint.sh
+++ b/common/travis/xlint.sh
@@ -6,6 +6,9 @@
EXITCODE=0
read base tip < /tmp/revisions
+
+common/scripts/lint-commits $base $tip || EXITCODE=$?
+
for t in $(awk '{ print "srcpkgs/" $0 "/template" }' /tmp/templates); do
/bin/echo -e "\x1b[32mLinting $t...\x1b[0m"
xlint "$t" || EXITCODE=$?